gAskAncestorMessage-class {MVCClass} | R Documentation

## Class "gAskAncestorMessage": A class to represent a question asking for data from an ancestor model

### Description

gAskAncestorMessage is a class to ask for model data from an ancestor model (MVC). For example, if a user wants to create a child model, but needs data from both its parent and its grandparent model. Then when the parent model creates the new child model it would ask its parent (the grandparent of the new child model) for data using this class.

A specific example is if the original model contains microarray expression data and a child model of this model is the GO graph. Then if the user wants to look at the expression data of only genes annotated at a particular node, a child model can be created from the GO graph, but this new child model also needs data from the original model (its grandparent). Thus, when the GO graph creates a child model it needs to ask its parent for the expression data.

### Objects from the Class

Objects can be created by calls of the form `new("gAskAncestorMessage", ...)`.

### Slots

`type`:
  which model type to look for as an ancestor (this is a character string naming the class)
`mData`:
  the data that is being requested
`from`:
  the MVC that asked the question

### Extends

Class `"gMessage"`, directly.

### Methods

from<-
  Sets the `from` slot
from
  Returns the `from` slot
mData<-
  Sets the `mData` slot
mData
  Returns the `mData` slot
type<-
  Sets the `type` slot
type
  Returns the `type` slot

### Note

Even though this class is used to ask for information from an ancestor, each model (MVC) has only parent. This is important when considering how data sets are linked.

### Author(s)

Elizabeth Whalen

### See Also

`gMessage-class`

### Examples

[Package MVCClass version 1.10.0 Index]